%define module pyaudio

Name:       python-%{module}
Version:    0.2.11
Release:    %mkrel 2
License:    MIT
Url:        http://people.csail.mit.edu/hubert/pyaudio/
Source0:    https://pypi.io/packages/source/P/PyAudio/PyAudio-%{version}.tar.gz
Group:      Development/Python
Summary:    Python bindings for PortAudio
BuildRequires:  lib64portaudio-devel
BuildRequires:  python-devel
BuildRequires:  python-setuptools

%description
PyAudio provides Python bindings for PortAudio, the cross-platform audio I/O
library. With PyAudio, you can easily use Python to play and record audio on
a variety of platforms.

%package -n python3-%{module}
Summary:    Python bindings for PortAudio
Group:      Development/Python
BuildRequires:  lib64portaudio-devel
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools

%description -n python3-%{module}
PyAudio provides Python bindings for PortAudio, the cross-platform audio I/O
library. With PyAudio, you can easily use Python to play and record audio on
a variety of platforms.

%prep
%setup -q -n PyAudio-%{version}

# remove some pre-built binaries
rm -rf packaging

rm -rf %{py3dir}
cp -a . %{py3dir}

%build
%py2_build

pushd %{py3dir}
%py3_build
popd

%install
pushd %{py3dir}
%py3_install
rm -rf %{buildroot}%{python3_sitelib}/logilab/common/test
popd

# python2
%py2_install
rm -rf %{buildroot}%{python_sitelib}/logilab/common/test

%files
%doc README CHANGELOG
%{python2_sitearch}/*.py*
%{python2_sitearch}/*.so
%{python2_sitearch}/*egg-info

%files -n python3-%{module}
%doc README CHANGELOG
%{python3_sitearch}/*


%changelog
* Tue Aug 16 2022 TerryN <terryn94 at gmail.com> 0.2.11-2pclos2022
- rebuild for python 3.10

* Wed Jan 09 2019 tex 0.2.11-1pclos2019
- new
